org.apache.axiom.om.util

## Class OMXMLStreamReaderValidator

- java.lang.Object
- - org.apache.axiom.util.stax.wrapper.XMLStreamReaderWrapper
  - - org.apache.axiom.util.stax.debug.XMLStreamReaderValidator
    - - org.apache.axiom.om.util.OMXMLStreamReaderValidator

- All Implemented Interfaces:
    javax.xml.stream.XMLStreamConstants, javax.xml.stream.XMLStreamReader, OMAttachmentAccessor, OMXMLStreamReader

      public class OMXMLStreamReaderValidator
      extends XMLStreamReaderValidator
      implements OMXMLStreamReader

  Subclass of `XMLStreamReaderValidator` that also implements `OMXMLStreamReader`.
  See Also:
    `OMContainer.getXMLStreamReader(boolean)`

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OMXMLStreamReaderValidator(OMXMLStreamReader delegate, boolean throwExceptions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.activation.DataHandler` | `getDataHandler(String blobcid)`
    `boolean` | `isInlineMTOM()` By default, an OMText item that has an MTOM datahandler will be rendered as a inlined text event.
    `void` | `setInlineMTOM(boolean value)`

    - ### Methods inherited from class org.apache.axiom.util.stax.debug.XMLStreamReaderValidator

      `getElementText, logParserState, next, nextTag`

    - ### Methods inherited from class org.apache.axiom.util.stax.wrapper.XMLStreamReaderWrapper

      `close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getParent, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, require, standaloneSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.xml.stream.XMLStreamReader

      `close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, standaloneSet`

- - ### Constructor Detail

    - #### OMXMLStreamReaderValidator

          public OMXMLStreamReaderValidator(OMXMLStreamReader delegate,
                                            boolean throwExceptions)

      Parameters:
        `delegate` - XMLStreamReader to validate
        `throwExceptions` - (true if exceptions should be thrown when errors are encountered)

  - ### Method Detail

    - #### getDataHandler

          public javax.activation.DataHandler getDataHandler(String blobcid)

      Specified by:
        `getDataHandler` in interface `OMAttachmentAccessor`
      Parameters:
        `blobcid` - (without the surrounding angle brackets and "cid:" prefix)
      Returns:
        The DataHandler of the mime part referred by the Content-Id or *null* if the mime part referred by the content-id does not exist

    - #### isInlineMTOM

          public boolean isInlineMTOM()

      Description copied from interface: `OMXMLStreamReader`
      By default, an OMText item that has an MTOM datahandler will be rendered as a inlined text event.
      Specified by:
        `isInlineMTOM` in interface `OMXMLStreamReader`
      Returns:
        true if inlined as TEXT, false if XOP_INCLUDE is used

    - #### setInlineMTOM

          public void setInlineMTOM(boolean value)

      Specified by:
        `setInlineMTOM` in interface `OMXMLStreamReader`
      Parameters:
        `value` - set to true if inlining of text is desired (default) throw OMException if not the value is not supported.

Copyright © The Apache Software Foundation. All Rights Reserved.